# GET My Usage

{% hint style="info" %}
We retain user request logs for approximately two months, after which they are automatically deleted.
{% endhint %}

{% tabs %}
{% tab title="Base URL" %}

```javascript
https://api.sportmonks.com/v3/my/usage
```

{% endtab %}

{% tab title="Example Response" %}

```json
{
    id: 98564461,
    endpoint: "api.sports.livescores.inplay",
    count: 1374,
    entity: "fixture",
    remaining_requests: 50878,
    period_start: 1694682000,
    period_end: 1694682300
},
{
    id: 98160610,
    endpoint: "api.sports.fixtures.show",
    count: 748,
    entity: "fixture",
    remaining_requests: 52252,
    period_start: 1694635200,
    period_end: 1694635500
},
```

{% endtab %}

{% tab title="Field Description" %}

| Field               | Description                                                          |
| ------------------- | -------------------------------------------------------------------- |
| id                  | identifier of the record                                             |
| endpoint            | identifier of the requested endpoint                                 |
| count               | total calls for the given timeframe                                  |
| entity              | the entity the rate limit applies on                                 |
| remaining\_requests | amount of requests remaining for the entity in the hourly rate limit |
| period\_start       | timestamp representing the aggregation start time                    |
| period\_end         | timestamp representing the aggregation end time                      |
| {% endtab %}        |                                                                      |
| {% endtabs %}       |                                                                      |

#### Parameters &#x20;

<table><thead><tr><th>Query Parameters</th><th width="164.33333333333331">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>api_token</code></td><td>YES</td><td>Your unique API token</td></tr><tr><td><code>include</code></td><td>NO</td><td>Enrich the API with more data by using includes</td></tr><tr><td><code>select</code></td><td>NO</td><td>Select specific fields on the <a href="/pages/ZEorjqmnwsNQNSMhOMdX">base entity</a></td></tr></tbody></table>

#### Pagination

YES

#### Include depth

Using includes is not supported on this endpoint.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/core-api/my-sportmonks/get-my-usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
